Bug 21405 - WebKit fails to update clip paths when animating
Summary: WebKit fails to update clip paths when animating
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL: http://www.deerring.com/
Keywords: NeedsReduction
Depends on:
Blocks:
 
Reported: 2008-10-06 11:00 PDT by Eric Seidel (no email)
Modified: 2010-01-17 17:16 PST (History)
4 users (show)

See Also:


Attachments
Reduced test case (showing our failed clippath animation) (587 bytes, image/svg+xml)
2008-10-06 11:19 PDT, Eric Seidel (no email)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2008-10-06 11:00:44 PDT
"Bringing Vector Graphics..." does not "sparkle" in Safari (but does in Opera)

There is some sort of animation that he's using to "sparkle" certain characters.  Sets of characters change from black to blue/grey over time.  I'm not yet sure how it's being done, we'll need to make a reduction.
Comment 1 Eric Seidel (no email) 2008-10-06 11:19:57 PDT
Created attachment 24117 [details]
Reduced test case (showing our failed clippath animation)
Comment 2 Dirk Schulze 2009-12-30 14:24:16 PST
SVGClipPathElement::childrenChanged should take care of the rect animation in the clipPath :-(
Comment 3 Nikolas Zimmermann 2010-01-17 17:16:04 PST
Fixed in trunk.